diff --git a/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandClear.java b/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandClear.java
index 1ef4da227..3fbca8803 100644
--- a/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandClear.java
+++ b/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandClear.java
@@ -6,7 +6,7 @@ import com.mojang.brigadier.builder.LiteralArgumentBuilder;
 import com.mojang.brigadier.builder.RequiredArgumentBuilder;
 import com.mojang.brigadier.exceptions.SimpleCommandExceptionType;
 import com.mojang.logging.LogUtils;
-import com.mojang.nbt.Tag;
+import com.mojang.nbt.tags.Tag;
 import net.minecraft.core.entity.Entity;
 import net.minecraft.core.entity.player.Player;
 import net.minecraft.core.item.ItemStack;
diff --git a/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandClone.java b/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandClone.java
index b46e3ea43..b8c81d737 100644
--- a/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandClone.java
+++ b/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandClone.java
@@ -7,7 +7,7 @@ import com.mojang.brigadier.builder.RequiredArgumentBuilder;
 import com.mojang.brigadier.context.CommandContext;
 import com.mojang.brigadier.exceptions.CommandSyntaxException;
 import com.mojang.brigadier.exceptions.SimpleCommandExceptionType;
-import com.mojang.nbt.CompoundTag;
+import com.mojang.nbt.tags.CompoundTag;
 import net.minecraft.core.block.entity.TileEntity;
 import net.minecraft.core.lang.I18n;
 import net.minecraft.core.net.command.CommandManager;
diff --git a/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandFill.java b/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandFill.java
index eff487e24..c741b7708 100644
--- a/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandFill.java
+++ b/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandFill.java
@@ -4,7 +4,7 @@ import com.mojang.brigadier.CommandDispatcher;
 import com.mojang.brigadier.builder.LiteralArgumentBuilder;
 import com.mojang.brigadier.builder.RequiredArgumentBuilder;
 import com.mojang.brigadier.exceptions.CommandSyntaxException;
-import com.mojang.nbt.CompoundTag;
+import com.mojang.nbt.tags.CompoundTag;
 import net.minecraft.core.block.entity.TileEntity;
 import net.minecraft.core.enums.EnumDropCause;
 import net.minecraft.core.net.command.CommandManager;
diff --git a/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandTestFor.java b/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandTestFor.java
index 4eb2116cb..9e5398f11 100644
--- a/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandTestFor.java
+++ b/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandTestFor.java
@@ -4,7 +4,7 @@ import com.mojang.brigadier.Command;
 import com.mojang.brigadier.CommandDispatcher;
 import com.mojang.brigadier.builder.LiteralArgumentBuilder;
 import com.mojang.brigadier.builder.RequiredArgumentBuilder;
-import com.mojang.nbt.CompoundTag;
+import com.mojang.nbt.tags.CompoundTag;
 import net.minecraft.core.block.Block;
 import net.minecraft.core.block.entity.TileEntity;
 import net.minecraft.core.entity.Entity;
diff --git a/game/core/src/main/java/net/minecraft/core/net/command/helpers/ArgumentParser.java b/game/core/src/main/java/net/minecraft/core/net/command/helpers/ArgumentParser.java
index 3ea6759d9..d14bbb55f 100644
--- a/game/core/src/main/java/net/minecraft/core/net/command/helpers/ArgumentParser.java
+++ b/game/core/src/main/java/net/minecraft/core/net/command/helpers/ArgumentParser.java
@@ -4,7 +4,7 @@ import com.mojang.brigadier.StringReader;
 import com.mojang.brigadier.exceptions.CommandSyntaxException;
 import com.mojang.brigadier.suggestion.Suggestions;
 import com.mojang.brigadier.suggestion.SuggestionsBuilder;
-import com.mojang.nbt.CompoundTag;
+import com.mojang.nbt.tags.CompoundTag;
 import net.minecraft.core.net.command.exceptions.CommandExceptions;
 import net.minecraft.core.net.command.util.CommandHelper;
 import net.minecraft.core.net.command.util.NbtHelper;
diff --git a/game/core/src/main/java/net/minecraft/core/net/command/helpers/BlockArgumentParser.java b/game/core/src/main/java/net/minecraft/core/net/command/helpers/BlockArgumentParser.java
index 281c9df23..12d7d9bbb 100644
--- a/game/core/src/main/java/net/minecraft/core/net/command/helpers/BlockArgumentParser.java
+++ b/game/core/src/main/java/net/minecraft/core/net/command/helpers/BlockArgumentParser.java
@@ -5,7 +5,7 @@ import com.mojang.brigadier.exceptions.CommandSyntaxException;
 import com.mojang.brigadier.exceptions.SimpleCommandExceptionType;
 import com.mojang.brigadier.suggestion.Suggestions;
 import com.mojang.brigadier.suggestion.SuggestionsBuilder;
-import com.mojang.nbt.CompoundTag;
+import com.mojang.nbt.tags.CompoundTag;
 import net.minecraft.core.block.Block;
 import net.minecraft.core.block.Blocks;
 import net.minecraft.core.lang.I18n;
diff --git a/game/core/src/main/java/net/minecraft/core/net/command/helpers/BlockInput.java b/game/core/src/main/java/net/minecraft/core/net/command/helpers/BlockInput.java
index 1a1dd7e01..da9aa302b 100644
--- a/game/core/src/main/java/net/minecraft/core/net/command/helpers/BlockInput.java
+++ b/game/core/src/main/java/net/minecraft/core/net/command/helpers/BlockInput.java
@@ -1,6 +1,6 @@
 package net.minecraft.core.net.command.helpers;
 
-import com.mojang.nbt.CompoundTag;
+import com.mojang.nbt.tags.CompoundTag;
 import net.minecraft.core.block.Block;
 import org.jetbrains.annotations.Nullable;
 
diff --git a/game/core/src/main/java/net/minecraft/core/net/command/helpers/EntitySelectorOptions.java b/game/core/src/main/java/net/minecraft/core/net/command/helpers/EntitySelectorOptions.java
index 10fce3b60..c5dad2470 100644
--- a/game/core/src/main/java/net/minecraft/core/net/command/helpers/EntitySelectorOptions.java
+++ b/game/core/src/main/java/net/minecraft/core/net/command/helpers/EntitySelectorOptions.java
@@ -5,8 +5,8 @@ import com.mojang.brigadier.exceptions.CommandSyntaxException;
 import com.mojang.brigadier.exceptions.DynamicCommandExceptionType;
 import com.mojang.brigadier.exceptions.SimpleCommandExceptionType;
 import com.mojang.brigadier.suggestion.SuggestionsBuilder;
-import com.mojang.nbt.CompoundTag;
-import com.mojang.nbt.Tag;
+import com.mojang.nbt.tags.CompoundTag;
+import com.mojang.nbt.tags.Tag;
 import net.minecraft.core.lang.text.ChainText;
 import net.minecraft.core.lang.text.Text;
 import net.minecraft.core.entity.Entity;
diff --git a/game/core/src/main/java/net/minecraft/core/net/command/helpers/ItemStackArgumentParser.java b/game/core/src/main/java/net/minecraft/core/net/command/helpers/ItemStackArgumentParser.java
index e54c86d42..7625d23ac 100644
--- a/game/core/src/main/java/net/minecraft/core/net/command/helpers/ItemStackArgumentParser.java
+++ b/game/core/src/main/java/net/minecraft/core/net/command/helpers/ItemStackArgumentParser.java
@@ -5,7 +5,7 @@ import com.mojang.brigadier.exceptions.CommandSyntaxException;
 import com.mojang.brigadier.exceptions.SimpleCommandExceptionType;
 import com.mojang.brigadier.suggestion.Suggestions;
 import com.mojang.brigadier.suggestion.SuggestionsBuilder;
-import com.mojang.nbt.CompoundTag;
+import com.mojang.nbt.tags.CompoundTag;
 import net.minecraft.core.item.Item;
 import net.minecraft.core.item.ItemStack;
 import net.minecraft.core.lang.I18n;
diff --git a/game/core/src/main/java/net/minecraft/core/net/command/util/BeautifulNbt.java b/game/core/src/main/java/net/minecraft/core/net/command/util/BeautifulNbt.java
index 6907afe06..cbbe8b1e3 100644
--- a/game/core/src/main/java/net/minecraft/core/net/command/util/BeautifulNbt.java
+++ b/game/core/src/main/java/net/minecraft/core/net/command/util/BeautifulNbt.java
@@ -1,6 +1,7 @@
 package net.minecraft.core.net.command.util;
 
-import com.mojang.nbt.*;
+import com.mojang.nbt.tags.CompoundTag;
+import com.mojang.nbt.tags.Tag;
 import org.jetbrains.annotations.NotNull;
 
 import java.util.List;
diff --git a/game/core/src/main/java/net/minecraft/core/net/command/util/CommandHelper.java b/game/core/src/main/java/net/minecraft/core/net/command/util/CommandHelper.java
index 1a4cd1151..1c8a08542 100644
--- a/game/core/src/main/java/net/minecraft/core/net/command/util/CommandHelper.java
+++ b/game/core/src/main/java/net/minecraft/core/net/command/util/CommandHelper.java
@@ -3,8 +3,8 @@ package net.minecraft.core.net.command.util;
 import com.mojang.brigadier.exceptions.CommandSyntaxException;
 import com.mojang.brigadier.suggestion.Suggestions;
 import com.mojang.brigadier.suggestion.SuggestionsBuilder;
-import com.mojang.nbt.CompoundTag;
-import com.mojang.nbt.Tag;
+import com.mojang.nbt.tags.CompoundTag;
+import com.mojang.nbt.tags.Tag;
 import net.minecraft.core.block.Block;
 import net.minecraft.core.block.Blocks;
 import net.minecraft.core.block.entity.TileEntity;
diff --git a/game/core/src/main/java/net/minecraft/core/net/command/util/NbtHelper.java b/game/core/src/main/java/net/minecraft/core/net/command/util/NbtHelper.java
index 487d2eecd..6fb79088c 100644
--- a/game/core/src/main/java/net/minecraft/core/net/command/util/NbtHelper.java
+++ b/game/core/src/main/java/net/minecraft/core/net/command/util/NbtHelper.java
@@ -2,7 +2,19 @@ package net.minecraft.core.net.command.util;
 
 import com.mojang.brigadier.StringReader;
 import com.mojang.brigadier.exceptions.CommandSyntaxException;
-import com.mojang.nbt.*;
+import com.mojang.nbt.tags.ByteArrayTag;
+import com.mojang.nbt.tags.ByteTag;
+import com.mojang.nbt.tags.CompoundTag;
+import com.mojang.nbt.tags.DoubleArrayTag;
+import com.mojang.nbt.tags.DoubleTag;
+import com.mojang.nbt.tags.FloatTag;
+import com.mojang.nbt.tags.IntTag;
+import com.mojang.nbt.tags.ListTag;
+import com.mojang.nbt.tags.LongTag;
+import com.mojang.nbt.tags.ShortArrayTag;
+import com.mojang.nbt.tags.ShortTag;
+import com.mojang.nbt.tags.StringTag;
+import com.mojang.nbt.tags.Tag;
 import net.minecraft.core.net.command.exceptions.CommandExceptions;
 
 import java.util.ArrayList;
diff --git a/game/core/src/main/java/net/minecraft/core/net/packet/Packet.java b/game/core/src/main/java/net/minecraft/core/net/packet/Packet.java
index 371cfb9f0..794210e07 100644
--- a/game/core/src/main/java/net/minecraft/core/net/packet/Packet.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/Packet.java
@@ -1,7 +1,7 @@
 package net.minecraft.core.net.packet;
 
 import com.mojang.logging.LogUtils;
-import com.mojang.nbt.CompoundTag;
+import com.mojang.nbt.tags.CompoundTag;
 import com.mojang.nbt.NbtIo;
 import net.minecraft.core.Global;
 import net.minecraft.core.net.handler.PacketHandler;
diff --git a/game/core/src/main/java/net/minecraft/core/net/packet/PacketAddItemEntity.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketAddItemEntity.java
index 585a4bf9d..399e8911b 100644
--- a/game/core/src/main/java/net/minecraft/core/net/packet/PacketAddItemEntity.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketAddItemEntity.java
@@ -1,7 +1,7 @@
 package net.minecraft.core.net.packet;
 
 import net.minecraft.core.entity.EntityItem;
-import com.mojang.nbt.CompoundTag;
+import com.mojang.nbt.tags.CompoundTag;
 import net.minecraft.core.net.handler.PacketHandler;
 import net.minecraft.core.util.helper.MathHelper;
 
diff --git a/game/core/src/main/java/net/minecraft/core/net/packet/PacketAddPlayer.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketAddPlayer.java
index 3b46a20ae..600b8f0be 100644
--- a/game/core/src/main/java/net/minecraft/core/net/packet/PacketAddPlayer.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketAddPlayer.java
@@ -1,6 +1,6 @@
 package net.minecraft.core.net.packet;
 
-import com.mojang.nbt.CompoundTag;
+import com.mojang.nbt.tags.CompoundTag;
 import net.minecraft.core.entity.player.Player;
 import net.minecraft.core.item.ItemStack;
 import net.minecraft.core.net.handler.PacketHandler;
diff --git a/game/core/src/main/java/net/minecraft/core/net/packet/PacketBlockEntityData.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketBlockEntityData.java
index 271cdc35a..2c388caa0 100644
--- a/game/core/src/main/java/net/minecraft/core/net/packet/PacketBlockEntityData.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketBlockEntityData.java
@@ -1,6 +1,6 @@
 package net.minecraft.core.net.packet;
 
-import com.mojang.nbt.CompoundTag;
+import com.mojang.nbt.tags.CompoundTag;
 import net.minecraft.core.block.entity.TileEntity;
 import net.minecraft.core.net.handler.PacketHandler;
 
diff --git a/game/core/src/main/java/net/minecraft/core/net/packet/PacketContainerSetContent.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketContainerSetContent.java
index 82870c956..70df42e9f 100644
--- a/game/core/src/main/java/net/minecraft/core/net/packet/PacketContainerSetContent.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketContainerSetContent.java
@@ -1,6 +1,6 @@
 package net.minecraft.core.net.packet;
 
-import com.mojang.nbt.CompoundTag;
+import com.mojang.nbt.tags.CompoundTag;
 import net.minecraft.core.item.ItemStack;
 import net.minecraft.core.net.handler.PacketHandler;
 
diff --git a/game/core/src/main/java/net/minecraft/core/net/packet/PacketContainerSetSlot.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketContainerSetSlot.java
index 3f8590dcd..8628ab476 100644
--- a/game/core/src/main/java/net/minecraft/core/net/packet/PacketContainerSetSlot.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketContainerSetSlot.java
@@ -1,7 +1,7 @@
 package net.minecraft.core.net.packet;
 
 import net.minecraft.core.item.ItemStack;
-import com.mojang.nbt.CompoundTag;
+import com.mojang.nbt.tags.CompoundTag;
 import net.minecraft.core.net.handler.PacketHandler;
 
 import java.io.*;
diff --git a/game/core/src/main/java/net/minecraft/core/net/packet/PacketEntityTagData.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketEntityTagData.java
index f387667b3..37d71fedc 100644
--- a/game/core/src/main/java/net/minecraft/core/net/packet/PacketEntityTagData.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketEntityTagData.java
@@ -1,6 +1,6 @@
 package net.minecraft.core.net.packet;
 
-import com.mojang.nbt.CompoundTag;
+import com.mojang.nbt.tags.CompoundTag;
 import net.minecraft.core.entity.Entity;
 import net.minecraft.core.net.handler.PacketHandler;
 
diff --git a/game/core/src/main/java/net/minecraft/core/net/packet/PacketGameRule.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketGameRule.java
index 7c8f94a3c..0d39fafeb 100644
--- a/game/core/src/main/java/net/minecraft/core/net/packet/PacketGameRule.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketGameRule.java
@@ -4,7 +4,7 @@ import java.io.DataInputStream;
 import java.io.DataOutputStream;
 import java.io.IOException;
 
-import com.mojang.nbt.CompoundTag;
+import com.mojang.nbt.tags.CompoundTag;
 
 import net.minecraft.core.data.gamerule.GameRuleCollection;
 import net.minecraft.core.net.handler.PacketHandler;
diff --git a/game/core/src/main/java/net/minecraft/core/net/packet/PacketSetEquippedItem.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketSetEquippedItem.java
index 55c7e1a41..87b2b88a5 100644
--- a/game/core/src/main/java/net/minecraft/core/net/packet/PacketSetEquippedItem.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketSetEquippedItem.java
@@ -1,7 +1,7 @@
 package net.minecraft.core.net.packet;
 
 import net.minecraft.core.item.ItemStack;
-import com.mojang.nbt.CompoundTag;
+import com.mojang.nbt.tags.CompoundTag;
 import net.minecraft.core.net.handler.PacketHandler;
 
 import java.io.*;
diff --git a/game/core/src/main/java/net/minecraft/core/net/packet/PacketSetHeldObject.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketSetHeldObject.java
index f89168aa7..a16e7111d 100644
--- a/game/core/src/main/java/net/minecraft/core/net/packet/PacketSetHeldObject.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketSetHeldObject.java
@@ -1,6 +1,6 @@
 package net.minecraft.core.net.packet;
 
-import com.mojang.nbt.CompoundTag;
+import com.mojang.nbt.tags.CompoundTag;
 import net.minecraft.core.net.handler.PacketHandler;
 import net.minecraft.core.world.ICarriable;
 import org.jetbrains.annotations.Nullable;
diff --git a/game/core/src/main/java/net/minecraft/core/player/inventory/container/ContainerInventory.java b/game/core/src/main/java/net/minecraft/core/player/inventory/container/ContainerInventory.java
index 4c7bfb860..c843954af 100644
--- a/game/core/src/main/java/net/minecraft/core/player/inventory/container/ContainerInventory.java
+++ b/game/core/src/main/java/net/minecraft/core/player/inventory/container/ContainerInventory.java
@@ -1,8 +1,8 @@
 package net.minecraft.core.player.inventory.container;
 
 
-import com.mojang.nbt.CompoundTag;
-import com.mojang.nbt.ListTag;
+import com.mojang.nbt.tags.CompoundTag;
+import com.mojang.nbt.tags.ListTag;
 
 import net.minecraft.core.block.Block;
 import net.minecraft.core.block.Blocks;
diff --git a/game/core/src/main/java/net/minecraft/core/util/helper/UUIDHelper.java b/game/core/src/main/java/net/minecraft/core/util/helper/UUIDHelper.java
index 9c763bb47..efe5bfa2d 100644
--- a/game/core/src/main/java/net/minecraft/core/util/helper/UUIDHelper.java
+++ b/game/core/src/main/java/net/minecraft/core/util/helper/UUIDHelper.java
@@ -3,7 +3,7 @@ package net.minecraft.core.util.helper;
 import com.b100.json.JsonParser;
 import com.b100.json.element.JsonObject;
 import com.b100.utils.StringUtils;
-import com.mojang.nbt.CompoundTag;
+import com.mojang.nbt.tags.CompoundTag;
 import org.jetbrains.annotations.NotNull;
 import org.jetbrains.annotations.Nullable;
 
diff --git a/game/core/src/main/java/net/minecraft/core/world/ICarriable.java b/game/core/src/main/java/net/minecraft/core/world/ICarriable.java
index 44a8f4db6..a7aefa966 100644
--- a/game/core/src/main/java/net/minecraft/core/world/ICarriable.java
+++ b/game/core/src/main/java/net/minecraft/core/world/ICarriable.java
@@ -1,7 +1,7 @@
 package net.minecraft.core.world;
 
 import com.mojang.logging.LogUtils;
-import com.mojang.nbt.CompoundTag;
+import com.mojang.nbt.tags.CompoundTag;
 import net.minecraft.core.block.motion.CarriedBlock;
 import net.minecraft.core.entity.Entity;
 import net.minecraft.core.util.helper.Side;
diff --git a/game/core/src/main/java/net/minecraft/core/world/World.java b/game/core/src/main/java/net/minecraft/core/world/World.java
index 438515f37..15b0c607b 100644
--- a/game/core/src/main/java/net/minecraft/core/world/World.java
+++ b/game/core/src/main/java/net/minecraft/core/world/World.java
@@ -13,7 +13,7 @@ import java.util.TreeSet;
 import java.util.UUID;
 
 import com.mojang.logging.LogUtils;
-import com.mojang.nbt.CompoundTag;
+import com.mojang.nbt.tags.CompoundTag;
 
 import net.minecraft.core.block.entity.TileEntity;
 import net.minecraft.core.entity.EntityItem;
diff --git a/game/core/src/main/java/net/minecraft/core/world/chunk/ChunkLoaderLegacy.java b/game/core/src/main/java/net/minecraft/core/world/chunk/ChunkLoaderLegacy.java
index 8775c43a0..8069fefad 100644
--- a/game/core/src/main/java/net/minecraft/core/world/chunk/ChunkLoaderLegacy.java
+++ b/game/core/src/main/java/net/minecraft/core/world/chunk/ChunkLoaderLegacy.java
@@ -6,9 +6,9 @@ import net.minecraft.core.block.entity.TileEntityDispatcher;
 import net.minecraft.core.block.entity.TileEntity;
 import net.minecraft.core.entity.Entity;
 import net.minecraft.core.entity.EntityDispatcher;
-import com.mojang.nbt.Tag;
-import com.mojang.nbt.CompoundTag;
-import com.mojang.nbt.ListTag;
+import com.mojang.nbt.tags.Tag;
+import com.mojang.nbt.tags.CompoundTag;
+import com.mojang.nbt.tags.ListTag;
 import com.mojang.nbt.NbtIo;
 import net.minecraft.core.world.chunk.reader.ChunkReader;
 import net.minecraft.core.world.chunk.reader.ChunkReaderLegacy;
diff --git a/game/core/src/main/java/net/minecraft/core/world/chunk/ChunkLoaderRegion.java b/game/core/src/main/java/net/minecraft/core/world/chunk/ChunkLoaderRegion.java
index afa6a2ee5..ce0350e51 100644
--- a/game/core/src/main/java/net/minecraft/core/world/chunk/ChunkLoaderRegion.java
+++ b/game/core/src/main/java/net/minecraft/core/world/chunk/ChunkLoaderRegion.java
@@ -1,8 +1,8 @@
 package net.minecraft.core.world.chunk;
 
 import com.mojang.logging.LogUtils;
-import com.mojang.nbt.CompoundTag;
-import com.mojang.nbt.CorruptedNBTException;
+import com.mojang.nbt.tags.CompoundTag;
+import com.mojang.nbt.UnknownTagException;
 import net.minecraft.core.world.World;
 import net.minecraft.core.world.save.LevelData;
 import net.minecraft.core.world.save.mcregion.RegionFileCache;
@@ -36,7 +36,7 @@ public class ChunkLoaderRegion
             } catch (ZipException zipException) {
                 LOGGER.warn("Zipped data for chunk at {}, {} is too corrupted to read! Assuming unrecoverable and resetting!", x, z, zipException);
                 return null;
-            } catch (CorruptedNBTException corruptedNBTException){
+            } catch (UnknownTagException corruptedNBTException){
                 LOGGER.warn("NBT data for chunk at {}, {} is too corrupted to read! Assuming unrecoverable and resetting!", x, z, corruptedNBTException);
                 return null;
             }
diff --git a/game/core/src/main/java/net/minecraft/core/world/chunk/reader/ChunkReader.java b/game/core/src/main/java/net/minecraft/core/world/chunk/reader/ChunkReader.java
index 75a371da3..d6c98202a 100644
--- a/game/core/src/main/java/net/minecraft/core/world/chunk/reader/ChunkReader.java
+++ b/game/core/src/main/java/net/minecraft/core/world/chunk/reader/ChunkReader.java
@@ -1,6 +1,6 @@
 package net.minecraft.core.world.chunk.reader;
 
-import com.mojang.nbt.CompoundTag;
+import com.mojang.nbt.tags.CompoundTag;
 import net.minecraft.core.world.World;
 import net.minecraft.core.world.data.ChunkNibbleArray;
 import net.minecraft.core.world.data.ChunkUnsignedByteArray;
diff --git a/game/core/src/main/java/net/minecraft/core/world/chunk/reader/ChunkReaderLegacy.java b/game/core/src/main/java/net/minecraft/core/world/chunk/reader/ChunkReaderLegacy.java
index 6c755740e..f5a5f6751 100644
--- a/game/core/src/main/java/net/minecraft/core/world/chunk/reader/ChunkReaderLegacy.java
+++ b/game/core/src/main/java/net/minecraft/core/world/chunk/reader/ChunkReaderLegacy.java
@@ -1,6 +1,6 @@
 package net.minecraft.core.world.chunk.reader;
 
-import com.mojang.nbt.CompoundTag;
+import com.mojang.nbt.tags.CompoundTag;
 import net.minecraft.core.world.World;
 import net.minecraft.core.world.chunk.Chunk;
 import net.minecraft.core.world.chunk.ChunkSection;
diff --git a/game/core/src/main/java/net/minecraft/core/world/chunk/reader/ChunkReaderVersion1.java b/game/core/src/main/java/net/minecraft/core/world/chunk/reader/ChunkReaderVersion1.java
index a15c1f7cc..d7679969a 100644
--- a/game/core/src/main/java/net/minecraft/core/world/chunk/reader/ChunkReaderVersion1.java
+++ b/game/core/src/main/java/net/minecraft/core/world/chunk/reader/ChunkReaderVersion1.java
@@ -1,6 +1,6 @@
 package net.minecraft.core.world.chunk.reader;
 
-import com.mojang.nbt.CompoundTag;
+import com.mojang.nbt.tags.CompoundTag;
 import net.minecraft.core.data.registry.Registries;
 import net.minecraft.core.data.registry.Registry;
 import net.minecraft.core.world.World;
diff --git a/game/core/src/main/java/net/minecraft/core/world/chunk/reader/ChunkReaderVersion2.java b/game/core/src/main/java/net/minecraft/core/world/chunk/reader/ChunkReaderVersion2.java
index 56ebfc663..5c921eaa3 100644
--- a/game/core/src/main/java/net/minecraft/core/world/chunk/reader/ChunkReaderVersion2.java
+++ b/game/core/src/main/java/net/minecraft/core/world/chunk/reader/ChunkReaderVersion2.java
@@ -1,8 +1,8 @@
 package net.minecraft.core.world.chunk.reader;
 
-import com.mojang.nbt.CompoundTag;
-import com.mojang.nbt.ListTag;
-import com.mojang.nbt.Tag;
+import com.mojang.nbt.tags.CompoundTag;
+import com.mojang.nbt.tags.ListTag;
+import com.mojang.nbt.tags.Tag;
 import net.minecraft.core.data.registry.Registries;
 import net.minecraft.core.data.registry.Registry;
 import net.minecraft.core.world.World;
diff --git a/game/core/src/main/java/net/minecraft/core/world/chunk/writer/ChunkWriter.java b/game/core/src/main/java/net/minecraft/core/world/chunk/writer/ChunkWriter.java
index 616c73f78..7b577d987 100644
--- a/game/core/src/main/java/net/minecraft/core/world/chunk/writer/ChunkWriter.java
+++ b/game/core/src/main/java/net/minecraft/core/world/chunk/writer/ChunkWriter.java
@@ -1,8 +1,8 @@
 package net.minecraft.core.world.chunk.writer;
 
-import com.mojang.nbt.CompoundTag;
-import com.mojang.nbt.ListTag;
-import com.mojang.nbt.Tag;
+import com.mojang.nbt.tags.CompoundTag;
+import com.mojang.nbt.tags.ListTag;
+import com.mojang.nbt.tags.Tag;
 import net.minecraft.core.data.registry.Registries;
 import net.minecraft.core.data.registry.Registry;
 import net.minecraft.core.world.World;
diff --git a/game/core/src/main/java/net/minecraft/core/world/config/spawning/SpawnerConfig.java b/game/core/src/main/java/net/minecraft/core/world/config/spawning/SpawnerConfig.java
index c6aeccc92..fb153d8ad 100644
--- a/game/core/src/main/java/net/minecraft/core/world/config/spawning/SpawnerConfig.java
+++ b/game/core/src/main/java/net/minecraft/core/world/config/spawning/SpawnerConfig.java
@@ -1,9 +1,9 @@
 package net.minecraft.core.world.config.spawning;
 
 import com.mojang.logging.LogUtils;
-import com.mojang.nbt.ByteTag;
-import com.mojang.nbt.CompoundTag;
-import com.mojang.nbt.Tag;
+import com.mojang.nbt.tags.ByteTag;
+import com.mojang.nbt.tags.CompoundTag;
+import com.mojang.nbt.tags.Tag;
 import net.minecraft.core.util.HardIllegalArgumentException;
 import net.minecraft.core.util.collection.NamespaceID;
 import net.minecraft.core.world.World;
diff --git a/game/core/src/main/java/net/minecraft/core/world/save/DimensionData.java b/game/core/src/main/java/net/minecraft/core/world/save/DimensionData.java
index 6cebaa0c3..a9f3c7541 100644
--- a/game/core/src/main/java/net/minecraft/core/world/save/DimensionData.java
+++ b/game/core/src/main/java/net/minecraft/core/world/save/DimensionData.java
@@ -1,7 +1,7 @@
 package net.minecraft.core.world.save;
 
-import com.mojang.nbt.ByteTag;
-import com.mojang.nbt.CompoundTag;
+import com.mojang.nbt.tags.ByteTag;
+import com.mojang.nbt.tags.CompoundTag;
 import com.mojang.nbt.NbtIo;
 import net.minecraft.core.data.legacy.LegacyWorldTypes;
 import net.minecraft.core.data.registry.Registries;
diff --git a/game/core/src/main/java/net/minecraft/core/world/save/ISaveConverter.java b/game/core/src/main/java/net/minecraft/core/world/save/ISaveConverter.java
index 72c7eaaf2..9253bdb4d 100644
--- a/game/core/src/main/java/net/minecraft/core/world/save/ISaveConverter.java
+++ b/game/core/src/main/java/net/minecraft/core/world/save/ISaveConverter.java
@@ -1,6 +1,6 @@
 package net.minecraft.core.world.save;
 
-import com.mojang.nbt.CompoundTag;
+import com.mojang.nbt.tags.CompoundTag;
 import net.minecraft.core.world.ProgressListener;
 
 import java.io.File;
diff --git a/game/core/src/main/java/net/minecraft/core/world/save/ISaveFormat.java b/game/core/src/main/java/net/minecraft/core/world/save/ISaveFormat.java
index 096ebe77b..1aba0dcde 100644
--- a/game/core/src/main/java/net/minecraft/core/world/save/ISaveFormat.java
+++ b/game/core/src/main/java/net/minecraft/core/world/save/ISaveFormat.java
@@ -1,6 +1,6 @@
 package net.minecraft.core.world.save;
 
-import com.mojang.nbt.CompoundTag;
+import com.mojang.nbt.tags.CompoundTag;
 import net.minecraft.core.world.Dimension;
 
 import java.io.File;
diff --git a/game/core/src/main/java/net/minecraft/core/world/save/LevelData.java b/game/core/src/main/java/net/minecraft/core/world/save/LevelData.java
index 9277ba43b..b1e00bbfd 100644
--- a/game/core/src/main/java/net/minecraft/core/world/save/LevelData.java
+++ b/game/core/src/main/java/net/minecraft/core/world/save/LevelData.java
@@ -4,7 +4,7 @@ import com.mojang.logging.LogUtils;
 import net.minecraft.core.enums.Difficulty;
 import net.minecraft.core.data.gamerule.GameRuleCollection;
 import net.minecraft.core.entity.player.Player;
-import com.mojang.nbt.CompoundTag;
+import com.mojang.nbt.tags.CompoundTag;
 import com.mojang.nbt.NbtIo;
 import net.minecraft.core.world.config.spawning.SpawnerConfig;
 import org.jetbrains.annotations.NotNull;
diff --git a/game/core/src/main/java/net/minecraft/core/world/save/LevelStorage.java b/game/core/src/main/java/net/minecraft/core/world/save/LevelStorage.java
index 9cf4b34df..f09593fce 100644
--- a/game/core/src/main/java/net/minecraft/core/world/save/LevelStorage.java
+++ b/game/core/src/main/java/net/minecraft/core/world/save/LevelStorage.java
@@ -1,7 +1,7 @@
 package net.minecraft.core.world.save;
 
 import net.minecraft.core.entity.player.Player;
-import com.mojang.nbt.CompoundTag;
+import com.mojang.nbt.tags.CompoundTag;
 import net.minecraft.core.world.chunk.IChunkLoader;
 import net.minecraft.core.world.Dimension;
 import java.io.File;
diff --git a/game/core/src/main/java/net/minecraft/core/world/save/SaveFormatBase.java b/game/core/src/main/java/net/minecraft/core/world/save/SaveFormatBase.java
index 6a315fcb0..e1c6a2cf4 100644
--- a/game/core/src/main/java/net/minecraft/core/world/save/SaveFormatBase.java
+++ b/game/core/src/main/java/net/minecraft/core/world/save/SaveFormatBase.java
@@ -3,7 +3,7 @@ package net.minecraft.core.world.save;
 import com.mojang.logging.LogUtils;
 import net.minecraft.core.lang.I18n;
 import net.minecraft.core.util.helper.MathHelper;
-import com.mojang.nbt.CompoundTag;
+import com.mojang.nbt.tags.CompoundTag;
 import com.mojang.nbt.NbtIo;
 import net.minecraft.core.world.Dimension;
 import org.slf4j.Logger;
diff --git a/game/core/src/main/java/net/minecraft/core/world/save/SaveHandlerBase.java b/game/core/src/main/java/net/minecraft/core/world/save/SaveHandlerBase.java
index f9686ecb6..b0b2405af 100644
--- a/game/core/src/main/java/net/minecraft/core/world/save/SaveHandlerBase.java
+++ b/game/core/src/main/java/net/minecraft/core/world/save/SaveHandlerBase.java
@@ -3,7 +3,7 @@ package net.minecraft.core.world.save;
 import com.mojang.logging.LogUtils;
 import net.minecraft.core.MinecraftException;
 import net.minecraft.core.entity.player.Player;
-import com.mojang.nbt.CompoundTag;
+import com.mojang.nbt.tags.CompoundTag;
 import com.mojang.nbt.NbtIo;
 import net.minecraft.core.world.Dimension;
 import net.minecraft.core.world.chunk.ChunkLoaderLegacy;
diff --git a/game/core/src/main/java/net/minecraft/core/world/save/SaveHandlerServer.java b/game/core/src/main/java/net/minecraft/core/world/save/SaveHandlerServer.java
index d6c68b811..4fab0e346 100644
--- a/game/core/src/main/java/net/minecraft/core/world/save/SaveHandlerServer.java
+++ b/game/core/src/main/java/net/minecraft/core/world/save/SaveHandlerServer.java
@@ -2,7 +2,7 @@ package net.minecraft.core.world.save;
 
 import com.mojang.logging.LogUtils;
 import net.minecraft.core.entity.player.Player;
-import com.mojang.nbt.CompoundTag;
+import com.mojang.nbt.tags.CompoundTag;
 import net.minecraft.core.world.chunk.IChunkLoader;
 import com.mojang.nbt.NbtIo;
 import net.minecraft.core.world.Dimension;
